=== debian/control ===
# autogenerated file, please edit debian/control-in
Source: qemu
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper-compat (= 13),
# In comments below we also specify (system-specific) arguments
# to qemu's configure script, -- optional features which depend
# on build-dependencies.
 python3:any,
 ninja-build, meson (>> 0.59.3~),
# --enable-docs
# for python3-sphinx:native see #995622
 texinfo, python3-sphinx:native, python3-sphinx-rtd-theme,
# iasl (from acpica-tools) is used only in a single test these days, not for building
# acpica-tools,
# libcapstone is in universe in ubuntu
# --enable-linux-aio	linux-*
 libaio-dev [linux-any],
 libjack-dev [linux-any],
# --audio-drv-list=pa,alsa,jack,oss,sdl	linux-*
# --audio-drv-list=pa,oss	kfreebsd-*
 libpulse-dev,
 libasound2-dev [linux-any],
# for virtfs (now in libc6)
# --enable-attr
# --enable-bpf	linux-*
 libbpf-dev	[linux-any],
# --enable-brlapi
 libbrlapi-dev,
# --enable-virtfs	linux-*
# needed for virtfs
# --enable-cap-ng	linux-*
 libcap-ng-dev [linux-any],
# --enable-curl
 libcurl4-gnutls-dev,
# --enable-fdt
# libfdt #931046
 libfdt-dev (>> 1.5.0-2~),
# --enable-fuse
 libfuse3-dev,
# --enable-gnutls
 gnutls-dev,
# --enable-gtk --enable-vte
 libgtk-3-dev, libvte-2.91-dev,
# --enable-libiscsi
 libiscsi-dev (>> 1.9.0~),
# --enable-curses
 libncurses-dev,
# --enable-virglrenderer	linux-*
 libvirglrenderer-dev [linux-any],
# --enable-opengl	linux-*
 libepoxy-dev [linux-any], libdrm-dev [linux-any], libgbm-dev [linux-any],
# --enable-numa	i386|amd64|ia64|mips|mipsel|powerpc|powerpcspe|x32|ppc64|ppc64el|arm64|sparc|s390x|riscv64
 libnuma-dev   [i386 amd64 ia64 mips mipsel mips64 mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc s390x riscv64],
# --enable-smartcard
 libcacard-dev,
 libpixman-1-dev,
# --enable-rbd		amd64|arm64|armel|armhf|i386|mips64el|mipsel|ppc64el|s390x|ppc64|sparc64
 librbd-dev            [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x ppc64 sparc64],
# before buster it was glusterfs-common so keep it for now for bpo
# --enable-glusterfs	linux-any
 libglusterfs-dev [linux-any] | glusterfs-common [linux-any],
# --enable-vnc-sasl
 libsasl2-dev,
# --enable-sdl
 libsdl2-dev,
# --enable-seccomp	amd64|arm64|armel|armhf|i386|mips64el|mipsel|ppc64el|s390x|hppa|powerpc|ppc64|riscv64|x32
 libseccomp-dev        [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hppa powerpc ppc64 riscv64 x32],
# --enable-slirp=system
 libslirp-dev,
# --enable-spice	 linux-amd64|linux-i386|linux-arm64|linux-armel|linux-armhf|linux-mips64el|linux-mipsel|ppc64el|sh4|x32
 libspice-server-dev	[linux-amd64 linux-i386 linux-arm64 linux-armel linux-armhf linux-mips64el linux-mipsel ppc64el sh4 x32],
# --enable-rdma		linux-*
 librdmacm-dev [linux-any], libibverbs-dev [linux-any], libibumad-dev [linux-any],
# --enable-linux-io-uring	linux-*
 liburing-dev [linux-any],
# --enable-libusb	linux-*
 libusb-1.0-0-dev [linux-any],
# --enable-usb-redir	linux-*
 libusbredirparser-dev [linux-any],
# --enable-libssh
 libssh-dev,
# --enable-zstd
 libzstd-dev,
# vde is debian-only since ubuntu/vde2 is in universe
 libxen-dev [linux-amd64],
# --enable-nettle
 nettle-dev,
## always enabled: --enable-uuid
 uuid-dev,
# always needed
 zlib1g-dev,
# other optional features we enable
# --enable-libudev
# needed for qga?
 libudev-dev [linux-any],
# --enable-vnc
# --enable-vnc-jpeg
 libjpeg-dev,
# --enable-vnc-png
 libpng-dev,
# --enable-libpmem	linux-amd64|linux-arm64
 libpmem-dev [linux-amd64 linux-arm64],
# --enable-kvm		linux-*
# --enable-vhost-net	linux-*	# is it really linux-specific?
##--enable-lzo todo, for (memory) dumps
##--enable-netmap todo bsd
##--enable-xen-pci-passthrough todo
##--with-iconv (libiconv for curses wide char support)
## auth-pam - for auth for vnc&Co using PAM
## gio-2.0 - for -display=spice-app
Build-Depends-Indep:
# pc-bios/*.dts => *.dtb (PPC firmware)
 device-tree-compiler,
 gcc-s390x-linux-gnu,
# qemu-palcode/palcode-clipper
 gcc-alpha-linux-gnu,
# skiboot firmware, openbios
 gcc-powerpc64-linux-gnu,
# openbios
 gcc-sparc64-linux-gnu, fcode-utils, xsltproc,
# hppa-firmware
 gcc-hppa-linux-gnu,
# opensbi
 gcc-riscv64-linux-gnu,
# vbootrom/npcm7xx_bootrom
 gcc-arm-none-eabi,
Build-Conflicts: oss4-dev
Standards-Version: 4.5.1
Homepage: http://www.qemu.org/
Rules-Requires-Root: no
XS-Debian-Vcs-Browser: https://salsa.debian.org/qemu-team/qemu
XS-Debian-Vcs-Git: https://salsa.debian.org/qemu-team/qemu.git
Vcs-Browser: https://git.launchpad.net/ubuntu/+source/qemu
Vcs-Git: https://git.launchpad.net/ubuntu/+source/qemu

Package: qemu-system
Architecture: amd64 arm arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: foreign
Depends: ${misc:Depends},
 qemu-system-arm,
 qemu-system-mips,
 qemu-system-ppc,
 qemu-system-sparc,
 qemu-system-x86,
 qemu-system-s390x,
 qemu-system-misc
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This metapackage provides the full system emulation binaries for all supported
 targets, by depending on all per-architecture system emulation packages which
 QEMU supports.

Package: qemu-block-extra
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends},
         qemu-system-x86 (= ${binary:Version})
	|qemu-system-arm (= ${binary:Version})
	|qemu-system-mips (= ${binary:Version})
	|qemu-system-ppc (= ${binary:Version})
	|qemu-system-sparc (= ${binary:Version})
 |qemu-system-s390x (= ${binary:Version})
	|qemu-system-misc (= ${binary:Version})
	|qemu-utils (= ${binary:Version}),
Enhances: qemu-utils, qemu-system-misc,
 qemu-system-arm, qemu-system-mips, qemu-system-sparc, qemu-system-x86,
Description: extra block backend modules for qemu-system and qemu-utils
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides extra block device backend modules for qemu-system
 emulation and qemu-img from qemu-utils package, which are rarely used and
 has extra dependencies.

Package: qemu-system-data
Architecture: all
Multi-Arch: foreign
Conflicts: sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
Replaces:  sgabios, openbios-sparc, openbios-ppc, qemu-slof,
     qemu-system-common (<< 1:2.12+dfsg-2~),
     qemu-system-sparc (<< 1:4.2-4~), qemu-system-ppc (<< 1:6.1-4~),
    qemu-system-s390x (<< 1:3.1+dfsg-2ubuntu1~)
Breaks:
     qemu-system-common (<< 1:2.12+dfsg-2~),
     qemu-system-sparc (<< 1:4.2-4~), qemu-system-ppc (<< 1:6.1-4~),
    qemu-system-s390x (<< 1:3.1+dfsg-2ubuntu1~)
Provides: qemu-keymaps, sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
Depends: ${misc:Depends}
Description: QEMU full system emulation (data files)
 This package provides architecture-neutral data files
 (such as keyboard definitions, icons) for system-mode
 QEMU emulation (qemu-system-*) packages.

Package: qemu-system-common
Architecture: amd64 arm arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: no
Replaces: qemu-system-data (<< 1:3.1+dfsg-1~), qemu-utils (<< 1:3.1+dfsg-3~)
Breaks:   qemu-system-data (<< 1:3.1+dfsg-1~), qemu-utils (<< 1:3.1+dfsg-3~), libvirt-daemon (<< 7.2.0-1)
Depends: ${misc:Depends}, ${shlibs:Depends},
# to fix wrong acl for newly created device node on ubuntu:
 acl
Description: QEMU full system emulation binaries (common files)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides common files needed for target-specific
 full system emulation (qemu-system-*) packages.

Package: qemu-system-gui
Architecture: amd64 arm arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
#XXX M-A: same does not really work for now due to /usr/lib/qemu/vhost-user-gpu
#XXX we'll deal with this if some actual need arises,
#XXX by moving that binary back to q-s-common or packaging it separately
#Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         qemu-system-x86 (= ${binary:Version})
	|qemu-system-arm (= ${binary:Version})
	|qemu-system-mips (= ${binary:Version})
	|qemu-system-ppc (= ${binary:Version})
	|qemu-system-sparc (= ${binary:Version})
 |qemu-system-s390x (= ${binary:Version})
	|qemu-system-misc (= ${binary:Version}),
# libgl1 is dynamically loaded by sdl display code
        libgl1,
# we moved vhost-user-gpu files here from qemu-system-common at 6.1-4
Replaces: qemu-system-common (<< 1:6.1+dfsg-4~)
Description: QEMU full system emulation binaries (user interface and audio support)
 This package provides local graphical user interface (currently GTK)
 and audio backends for full system emulation (qemu-system-*) packages.
 .
 The default GTK based qemu-system-gui is generally better and recommended,
 but a few corner cases still need SDL which is therefore provided as well.

Package: qemu-system-misc
Architecture: amd64 arm arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (= ${binary:Version}), qemu-system-data (>> ${source:Upstream-Version}~),
Recommends: qemu-system-gui (= ${binary:Version}), qemu-utils,
# alpha uses vgabios
# alpha m68k sh4 uses bootroms
 seabios, ipxe-qemu,
 qemu-block-extra (= ${binary:Version}),
Suggests: samba, vde2,
Provides: ${sysprovides:misc}
Description: QEMU full system emulation binaries (miscellaneous)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, M68k (ColdFire), MicroBlaze, and SH4
 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 various other hardware which did not made into separate packages.
 Emulators for the following architectures are provided:
  ${sysarch:misc}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-arm
Architecture: amd64 arm arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (= ${binary:Version}), qemu-system-data (>> ${source:Upstream-Version}~),
Recommends: qemu-system-gui (= ${binary:Version}), qemu-utils,
# aarch64 arm uses bootroms
 ipxe-qemu,
 ipxe-qemu-256k-compat-efi-roms,
 qemu-efi-aarch64, qemu-efi-arm,
 qemu-block-extra (= ${binary:Version}),
Suggests: samba, vde2,
