## qemu 7.1+dfsg

=== debian/changelog ===
qemu (1:7.1+dfsg-2~bpo11+3) bullseye-backports; urgency=medium

  * regenerate d/control to include the right gcc-alpha build dep
    for bullseye. Closes: #1020776

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 03 Oct 2022 10:44:55 +0300

qemu (1:7.1+dfsg-2~bpo11+2) bullseye-backports; urgency=medium

  * Revert "temporary workaround for gcc-12 bug #1019011:
    use gcc-11-alpha-linux-gnu instead of gcc-alpha-linux-gnu"
    On bullseye there's no gcc-11, and gcc-10 compiles everything
    just fine.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 24 Sep 2022 12:27:24 +0300

qemu (1:7.1+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * disable dwz on certain architectures (FTBFS on bullseye, #968670)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 23 Sep 2022 21:23:12 +0300

qemu (1:7.1+dfsg-2) unstable; urgency=medium

  * tulip-restrict-DMA-engine-to-memories-CVE-2022-2962.patch
    fix possible stack or heap overflow (tulip: DMA reentrancy issue)
    Closes: #1018055, CVE-2022-2962
  * hw-pvrdma-protect-against-guest-driver-CVE-2022-1050.patch
    fix possible use-after-free in paravirtual RDMA device.
    Closes: #1014589, CVE-2022-1050
  * mention closing of #979677 (CVE-2020-14394) by 7.1
  * d/rules: parametrify extra-cflags & extra-ldflags
  * d/rules: explicitly disable pie on arm64 due to
    https://sourceware.org/bugzilla/show_bug.cgi?id=29514
    Fixes FTBFS.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 13 Sep 2022 20:08:43 +0300

qemu (1:7.1+dfsg-1) unstable; urgency=medium

  * new upstream release (7.1)
    Closes: #1014958, CVE-2022-35414
    Closes: #1014590, CVE-2022-0216
    Closes: #979677, CVE-2020-14394
    Closes: #988333
  * d/copyright:
   - remove mentions of slirp (packaged separately)
   - blindly convert to dep-5 (it needs a complete rewrite)
   - add Files-Excluded from d/get-orig-source.sh
  * d/gbp.conf: remove filter= (and whole [import-orig])
  * d/watch: verify upstream tarballs
  * d/rules: stop faking skiboot version, it is now properly included in
    roms/skiboot/.version file. Add a dependency on this file too
  * d/patches:
   - remove use-fixed-data-path.patch: not needed anymore
   - linux-user-binfmt-P.diff: refresh
   - remove patches applied upstream
  * d/control:
   - it is --enable-capstone now, not --enable-capstone=system
   - it is --enable-png now, not --enable-vnc-png
  * d/rules: fix --enable-vhost-* options
  * d/rules: remove vnc-png for xen too
  * openbios-array-bounds-gcc12.patch
  * opensbi-fix-build-with-binutils-2.38.patch
  * d/rules: adopt vof build changes
  * d/qemu-system-data.docs: omit ccid.txt (removed)
  * temporary workaround for gcc-12 bug #1019011: use gcc-11-alpha-linux-gnu
    instead of gcc-alpha-linux-gnu (another option is to use -Os)
  * d/control: temporarily build-depend on libva-dev till #1019485 is fixed
  * add loongarch64 qemu-user and qemu-user arch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 12 Sep 2022 11:50:53 +0300
