=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Source: qemu
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
 # In comments below we also specify (system-specific) arguments
@@ -17,6 +16,8 @@
 # iasl (from acpica-tools) is used only in a single test these days, not for building
 # acpica-tools,
 # libcapstone is in universe in ubuntu
+# --enable-capstone
+ libcapstone-dev (>> 4.0.2~),
 # --enable-linux-aio	linux-*
  libaio-dev [linux-any],
  libjack-dev [linux-any],
@@ -51,8 +52,12 @@
  libncurses-dev,
 # --enable-virglrenderer	linux-*
  libvirglrenderer-dev [linux-any],
+# libvirglrenderer-dev bug #1019485: libva-dev build-dep is only a temp workaround
+ libva-dev [linux-any],
 # --enable-opengl	linux-*
  libepoxy-dev [linux-any], libdrm-dev [linux-any], libgbm-dev [linux-any],
+# --enable-libnfs
+ libnfs-dev,
 # --enable-numa	i386|amd64|ia64|mips|mipsel|powerpc|powerpcspe|x32|ppc64|ppc64el|arm64|sparc|s390x|riscv64
  libnuma-dev   [i386 amd64 ia64 mips mipsel mips64 mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc s390x riscv64],
 # --enable-smartcard
@@ -86,6 +91,8 @@
 # --enable-zstd
  libzstd-dev,
 # vde is debian-only since ubuntu/vde2 is in universe
+# --enable-vde
+ libvdeplug-dev,
  libxen-dev [linux-amd64],
 # --enable-nettle
  nettle-dev,
@@ -100,7 +107,7 @@
 # --enable-vnc
 # --enable-vnc-jpeg
  libjpeg-dev,
-# --enable-vnc-png
+# --enable-png
  libpng-dev,
 # --enable-libpmem	linux-amd64|linux-arm64
  libpmem-dev [linux-amd64 linux-arm64],
@@ -132,10 +139,8 @@
 Standards-Version: 4.5.1
 Homepage: http://www.qemu.org/
 Rules-Requires-Root: no
-XS-Debian-Vcs-Browser: https://salsa.debian.org/qemu-team/qemu
-XS-Debian-Vcs-Git: https://salsa.debian.org/qemu-team/qemu.git
-Vcs-Browser: https://git.launchpad.net/ubuntu/+source/qemu
-Vcs-Git: https://git.launchpad.net/ubuntu/+source/qemu
+Vcs-Browser: https://salsa.debian.org/qemu-team/qemu
+Vcs-Git: https://salsa.debian.org/qemu-team/qemu.git
 
 Package: qemu-system
 Architecture: amd64 arm arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
@@ -146,7 +151,6 @@
  qemu-system-ppc,
  qemu-system-sparc,
  qemu-system-x86,
- qemu-system-s390x,
  qemu-system-misc
 Description: QEMU full system emulation binaries
  QEMU is a fast processor emulator: currently the package supports
@@ -167,7 +171,6 @@
 	|qemu-system-mips (= ${binary:Version})
 	|qemu-system-ppc (= ${binary:Version})
 	|qemu-system-sparc (= ${binary:Version})
- |qemu-system-s390x (= ${binary:Version})
 	|qemu-system-misc (= ${binary:Version})
 	|qemu-utils (= ${binary:Version}),
 Enhances: qemu-utils, qemu-system-misc,
@@ -189,11 +192,9 @@
 Replaces:  sgabios, openbios-sparc, openbios-ppc, qemu-slof,
      qemu-system-common (<< 1:2.12+dfsg-2~),
      qemu-system-sparc (<< 1:4.2-4~), qemu-system-ppc (<< 1:6.1-4~),
-    qemu-system-s390x (<< 1:3.1+dfsg-2ubuntu1~)
 Breaks:
      qemu-system-common (<< 1:2.12+dfsg-2~),
      qemu-system-sparc (<< 1:4.2-4~), qemu-system-ppc (<< 1:6.1-4~),
-    qemu-system-s390x (<< 1:3.1+dfsg-2ubuntu1~)
 Provides: qemu-keymaps, sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
 Depends: ${misc:Depends}
 Description: QEMU full system emulation (data files)
@@ -208,7 +209,6 @@
 Breaks:   qemu-system-data (<< 1:3.1+dfsg-1~), qemu-utils (<< 1:3.1+dfsg-3~), libvirt-daemon (<< 7.2.0-1)
 Depends: ${misc:Depends}, ${shlibs:Depends},
 # to fix wrong acl for newly created device node on ubuntu:
- acl
 Description: QEMU full system emulation binaries (common files)
  QEMU is a fast processor emulator: currently the package supports
  ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
@@ -230,7 +230,6 @@
 	|qemu-system-mips (= ${binary:Version})
 	|qemu-system-ppc (= ${binary:Version})
 	|qemu-system-sparc (= ${binary:Version})
- |qemu-system-s390x (= ${binary:Version})
 	|qemu-system-misc (= ${binary:Version}),
 # libgl1 is dynamically loaded by sdl display code
         libgl1,
@@ -277,7 +276,10 @@
 Recommends: qemu-system-gui (= ${binary:Version}), qemu-utils,
 # aarch64 arm uses bootroms
  ipxe-qemu,
- ipxe-qemu-256k-compat-efi-roms,
  qemu-efi-aarch64, qemu-efi-arm,
  qemu-block-extra (= ${binary:Version}),
 Suggests: samba, vde2,
+Provides: qemu-kvm [linux-arm64 linux-armhf linux-armel], ${sysprovides:arm}
+Breaks:   qemu-kvm [linux-arm64 linux-armhf linux-armel]
+Replaces: qemu-kvm [linux-arm64 linux-armhf linux-armel]
+Description: QEMU full system emulation binaries (arm)
