## qemu 7.2%2Bdfsg

=== debian/changelog ===
qemu (1:7.2+dfsg-7+deb12u2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 24 Oct 2023 17:40:20 +0300

qemu (1:7.2+dfsg-7+deb12u2) bookworm; urgency=medium

  * d/rules: add the forgotten --enable-virtfs for the xen build.
    This makes 9pfs virtual filesystem available for xen hvm domUs.
    This adds no new runtime dependencies.  Closes: #1049925.
  * update to upstream 7.2.5 stable/bugfix release, v7.2.5.diff,
    https://gitlab.com/qemu-project/qemu/-/commits/v7.2.5 :
   - hw/ide/piix: properly initialize the BMIBA register
   - ui/vnc-clipboard: fix infinite loop in inflate_buffer (CVE-2023-3255)
   - qemu-nbd: pass structure into nbd_client_thread instead of plain char*
   - qemu-nbd: fix regression with qemu-nbd --fork run over ssh
   - qemu-nbd: regression with arguments passing into nbd_client_thread()
   - target/s390x: Make CKSM raise an exception if R2 is odd
   - target/s390x: Fix CLM with M3=0
   - target/s390x: Fix CONVERT TO LOGICAL/FIXED with out-of-range inputs
   - target/s390x: Fix ICM with M3=0
   - target/s390x: Make MC raise specification exception when class >= 16
   - target/s390x: Fix assertion failure in VFMIN/VFMAX with type 13
   - target/loongarch: Fix the CSRRD CPUID instruction on big endian hosts
   - virtio-pci: add handling of PCI ATS and Device-TLB enable/disable
   - vhost: register and change IOMMU flag depending on Device-TLB state
   - virtio-net: pass Device-TLB enable/disable events to vhost
   - hw/arm/smmu: Handle big-endian hosts correctly
   - target/arm: Avoid writing to constant TCGv in trans_CSEL()
   - target/ppc: Disable goto_tb with architectural singlestep
   - linux-user/armeb: Fix __kernel_cmpxchg() for armeb
   - qga/win32: Use rundll for VSS installation
   - thread-pool: signal "request_cond" while locked
   - xen-block: Avoid leaks on new error path
   - io: remove io watch if TLS channel is closed during handshake
   - target/nios2: Pass semihosting arg to exit
   - target/nios2: Fix semihost lseek offset computation
   - target/m68k: Fix semihost lseek offset computation
   - hw/virtio-iommu: Fix potential OOB access in virtio_iommu_handle_command()
   - virtio-crypto: verify src&dst buffer length for sym request
   - target/hppa: Move iaoq registers and thus reduce generated code size
   - pci: do not respond config requests after PCI device eject
   - hw/i386/intel_iommu: Fix trivial endianness problems
   - hw/i386/intel_iommu: Fix endianness problems related to VTD_IR_TableEntry
   - hw/i386/intel_iommu: Fix struct VTDInvDescIEC on big endian hosts
   - hw/i386/intel_iommu: Fix index calculation in vtd_interrupt_remap_msi()
   - hw/i386/x86-iommu: Fix endianness issue in x86_iommu_irq_to_msi_message()
   - include/hw/i386/x86-iommu: Fix struct X86IOMMU_MSIMessage for big endian hosts
   - vfio/pci: Disable INTx in vfio_realize error path
   - vdpa: Fix possible use-after-free for VirtQueueElement
   - vdpa: Return -EIO if device ack is VIRTIO_NET_ERR in _load_mac()
   - vdpa: Return -EIO if device ack is VIRTIO_NET_ERR in _load_mq()
   - target/ppc: Implement ASDR register for ISA v3.0 for HPT
   - target/ppc: Fix pending HDEC when entering PM state
   - target/ppc: Fix VRMA page size for ISA v3.0
   - target/i386: Check CR0.TS before enter_mmx
   - Update version for 7.2.5 release
    Closes: CVE-2023-3255, CVE-2023-3354, CVE-2023-3180

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 17 Aug 2023 12:33:57 +0300

qemu (1:7.2+dfsg-7+deb12u1) bookworm; urgency=medium

  * d/rules: add the forgotten --enable-libusb for the xen build.
    This makes usb devices available for xen hvm domUs again,
    as it has always been before. Closes: #1037341
  * update to upstream 7.2.3 stable/bugfix release, v7.2.3.diff,
    https://gitlab.com/qemu-project/qemu/-/commits/v7.2.3 :
   - vnc: avoid underflow when accessing user-provided address
   - target/i386: Change wrong XFRM value in SGX CPUID leaf
     (was in debian already)
   - acpi: pcihp: allow repeating hot-unplug requests
   - qemu-options: finesse the recommendations around -blockdev
   - docs/about/deprecated.rst: Add "since 7.1" tag to dtb-kaslr-seed
     deprecation
   - target/arm: Initialize debug capabilities only once
   - hw/net/msf2-emac: Don't modify descriptor in-place in emac_store_desc()
   - hw/arm/boot: Make write_bootloader() public as arm_write_bootloader()
   - hw/arm/aspeed: Use arm_write_bootloader() to write the bootloader
   - hw/arm/raspi: Use arm_write_bootloader() to write boot code
   - hw/intc/allwinner-a10-pic: Don't use set_bit()/clear_bit()
   - target/arm: Define and use new load_cpu_field_low32()
   - hw/sd/allwinner-sdhost: Correctly byteswap descriptor fields
   - hw/net/allwinner-sun8i-emac: Correctly byteswap descriptor fields
   - softfloat: Fix the incorrect computation in float32_exp2
   - meson: leave unnecessary modules out of the build
   - block: Fix use after free in blockdev_mark_auto_del()
   - target/riscv: Fix itrigger when icount is used
   - accel/tcg: Fix atomic_mmu_lookup for reads
   - ui: Fix pixel colour channel order for PNG screenshots
   - async: Suppress GCC13 false positive in aio_bh_poll()
   - tcg: ppc64: Fix mask generation for vextractdm
   - hw/virtio/vhost-user: avoid using uninitialized errp
   - virtio: fix reachable assertion due to stale value of cached region size
   - block/monitor: Fix crash when executing HMP commit
   - target/s390x: Fix EXECUTE of relative branches
   - s390x/tcg: Fix LDER instruction format
   - 9pfs/xen: Fix segfault on shutdown
   - xen/pt: reserve PCI slot 2 for Intel igd-passthru
   - Revert "vhost-user: Monitor slave channel in vhost_user_read()"
   - Revert "vhost-user: Introduce nested event loop in vhost_user_read()"
   - target/ppc: Fix helper_pminsn() prototype
   - tests/docker: bump the xtensa base to debian:11-slim
   - linux-user: Fix mips fp64 executables loading
